Summary:	A shell tool for executing jobs in parallel
Name:		parallel
Version:	20180322
Release:	1
License:	GPLv3+
Group:		File tools
Url:		http://www.gnu.org/software/parallel/
Source0:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
Requires:	perl
BuildArch:	noarch

%description
GNU parallel is a shell tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.

%files
%doc README NEWS

%{_bindir}/parallel
%{_bindir}/env_parallel
%{_bindir}/env_parallel.ash
%{_bindir}/env_parallel.bash
%{_bindir}/env_parallel.csh
%{_bindir}/env_parallel.dash
%{_bindir}/env_parallel.ksh
%{_bindir}/env_parallel.pdksh
%{_bindir}/env_parallel.sh
%{_bindir}/env_parallel.tcsh
%{_bindir}/env_parallel.zsh
%{_bindir}/env_parallel.fish
%{_bindir}/parcat
%{_bindir}/parset
%{_bindir}/sem
%{_bindir}/sql
%{_mandir}/man1/parallel.1*
%{_mandir}/man1/env_parallel.1*
%{_mandir}/man1/parcat.1.xz
%{_mandir}/man1/parset.1.xz
%{_mandir}/man7/parallel_alternatives.7.xz
%{_mandir}/man7/parallel_design.7.xz
%{_mandir}/man7/parallel_tutorial.7.xz
%{_mandir}/man7/parallel_book.7.xz
%{_mandir}/man1/sem.1*
%{_mandir}/man1/sql.1*
%{_bindir}/niceload
%config(noreplace) %{_sysconfdir}/%{name}/config
%{_mandir}/man1/niceload.1*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
make

%install
%makeinstall_std

# (Kharec: It seems we can have a site wide config file now, so create it directly at the install) 
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/config


%changelog

* Mon Mar 26 2018 dsilakov <denis.silakov@rosalab.ru> 20180322-1
- (a58a7e6) Merge pull request #4 from drxank/parallel:rosa2016.1
- (a58a7e6) parallel


